#include<bits/stdc++.h>
using namespace std;
int ucln(int a,int b)
{
	while(a!=b)
	{
		if(a>b)	a=a-b;
		if(b>a)	b=b-a;
	}
	return a;
}
int main()
{
	ifstream f1("dayso.inp");
	ofstream f2("NTCN.out");
	int a,i,j;
	f1>>a;
	int z[20000];
	for(i=1;i<=a;i++)
	f1>>z[i];
	for(i=1;i<a;i++)	
	for(j=i+1;j<=a;j++)
	if(ucln(z[i],z[j])==1)
	f2<<z[i]<<" "<<z[j]<<endl;
	f1.close();
	f2.close();
}
